## gate.swing
Class ColorGenerator.ColorSpace

    java.lang.Object
      |
      +--gate.swing.ColorGenerator.ColorSpace

Enclosing class:
  ColorGenerator

class ColorGenerator.ColorSpace
extends Object

Represents a colur space. A colour space is a cube in a tridimiensional space (where the axes represent red/green/blue values) defined by a point and a radius(the length of the edge).

Field Summary
`(package private) int` `baseB`
`(package private) int` `baseG`
`(package private) int` `baseR`
`(package private) int` `radius`

Constructor Summary
`(package private)` `ColorGenerator.ColorSpace(int r, int g, int b, int radius)` Creates a new ColorSpace

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### baseR

    int baseR

### baseG

    int baseG

### baseB

    int baseB

### radius

    int radius

Constructor Detail

### ColorGenerator.ColorSpace

    ColorGenerator.ColorSpace(int r,
                              int g,
                              int b,
                              int radius)

  Creates a new ColorSpace
  Parameters:
    `r` -
    `g` -
    `b` -
    `radius` -